# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "msb_krun_aws_nitro"
version = "0.1.23"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "AWS Nitro Enclaves support for msb_krun microVMs"
readme = false
license = "Apache-2.0"
repository = "https://github.com/containers/libkrun"

[features]
aws-nitro = []

[lib]
name = "msb_krun_aws_nitro"
path = "src/lib.rs"

[dependencies.devices]
version = "0.1.23"
package = "msb_krun_devices"

[dependencies.libc]
version = "0.2"

[dependencies.log]
version = "0.4"

[dependencies.nix]
version = "0.30"
features = ["poll"]

[dependencies.signal-hook]
version = "0.3"

[dependencies.tar]
version = "0.4"

[dependencies.vsock]
version = "0.5"

[target.'cfg(target_os = "linux")'.dependencies.nitro-enclaves]
version = "0.6.0"
